%global pypi_name smpp.twisted3
%global _pypackage_name smpp/twisted
%global _pypackage_top smpp

Name:           python3-smpp-twisted3
Version:        0.7
Release:        1%{?dist}
Summary:        SMPP 3.4 client built on Twisted

License:        Apache v2.0
URL:            https://pypi.org/project/smpp.twisted3/
Source0:        https://files.pythonhosted.org/packages/source/s/%{pypi_name}/%{pypi_name}-%{version}.tar.gz
Patch0:		patch1_fix_example.patch
BuildArch:      noarch

BuildRequires:  python3-devel
BuildRequires:  python3-setuptools

%{?python_provide:%python_provide %{name}}

Requires:    python3

%description
SMPP 3.4 client built on Twisted

# %package

%prep
%autosetup -n %{pypi_name}-%{version} -p1
sed -i -E 's/(Twisted|pyOpenSSL)\~\=[0-9\.]+/\1/g' requirements.txt

%build
%py3_build

%install
%py3_install
rm %{buildroot}%{python3_sitelib}/%{_pypackage_top}/__init__.py
rm -rf %{buildroot}%{python3_sitelib}/%{_pypackage_top}/__pycache__
rm -rf %{buildroot}%{python3_sitelib}/examples


%files
%doc README.md
%{python3_sitelib}/%{_pypackage_name}
%{python3_sitelib}/%{pypi_name}-%{version}-py%{python3_version}.egg-info

%changelog
* Wed Oct 25 2023 Kisuke-CZE <kisuke@kisuke.cz> - 0.7-1
- Initial package
